Piwigo Bugtracker

Viewing Issue Advanced Details Jump to Notes ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0001026 [Piwigo] user comments feature N/A 2009.06.10 17:54 2010.04.14 17:09
Reporter rub View Status public  
Assigned To nikrou
Priority normal Resolution fixed Platform
Status closed   OS
Projection none   OS Version
ETA none Fixed in Version 2.1.0RC1 Product Version
  Target Version 2.1.0RC1 Product Build
Summary 0001026: Modify / delete user comments
Description Add possibility on user to delete ou modify comments.

Each user can modify or delete these own comments
Administrators can to this for each comments
Administrators can enabled or disabled the fact that users can modify/delete users
Notify administrator on modification or deletion

Steps To Reproduce
Additional Information
Tags No tags attached.
browser any
Database engine and version
PHP version
Web server Apache 1.3.x
Attached Files

- Relationships

-  Notes
(0002639)
nikrou (developer)
2009.06.23 15:49

Feature done : [Subversion] r3445
(0002640)
Pat (developer)
2009.06.23 17:34

User can modify guest comment...
http://fr.piwigo.org/forum/viewtopic.php?pid=113852#p113852 [^]
(0002641)
nikrou (developer)
2009.06.23 23:18

Done : [Subversion] r3450
(0002645)
nikrou (developer)
2009.06.24 21:03

Lasts bugs fix in [Subversion] r3452
(0002646)
svn (reporter)
2009.06.25 00:53

[Subversion] r3452 by nikrou on trunk

-----[Subversion commit log]----------------------------------------------------
Fix two problem with Feature 1026 :
use of $conf['user_fields']['username'] and $conf['user_fields']['id'] instead of username and id
escape comment content before editing it.
(0002656)
svn (reporter)
2009.06.25 18:15

[Subversion] r3459 by rub on trunk

-----[Subversion commit log]----------------------------------------------------
Feature 1026: Update column save author_id with value
(0002658)
svn (reporter)
2009.06.26 11:57

[Subversion] r3464 by rub on trunk

-----[Subversion commit log]----------------------------------------------------
Feature 1026: Update column save author_id with value
Check user with comment date and registration date
(0002810)
rub (developer)
2009.08.09 20:04

Little bug:
http://demo.piwigo.net/comments.php?start=10&edit=73#edit_comment [^] is ok.
But http://demo.piwigo.net/comments.php?edit=73#edit_comment [^] is ko.

That could be useful for bug:1104

And http://demo.piwigo.net/comments.php?view=73#view_comment [^] could be added?
(0002842)
nikrou (developer)
2009.08.19 10:07

@rub : I don't understand the problem.
(0002844)
rub (developer)
2009.08.20 09:34

http://demo.piwigo.net/comments.php?edit=73#edit_comment [^] :
I don't see the comment n°73 and cannot modify this.
Start argument must be define and correct!


A direct link in order to modify a comment, could be a good option... For mail comment notification for example... (See http://piwigo.org/bugs/view.php?id=1104) [^]
(0002935)
rvelices (developer)
2009.10.06 09:30

I think that the install/piwigo_structure.sql has not been updated with the author_id field ...
(0002936)
svn (reporter)
2009.10.06 10:42

[Subversion] r3979 by nikrou on trunk

-----[Subversion commit log]----------------------------------------------------
Feature 1026 : update database structure (adding author_id)
(0002937)
nikrou (developer)
2009.10.06 10:43

Update database structure : [Subversion] r3979
(0003565)
svn (reporter)
2010.03.19 23:25

[Subversion] r5195 by plg on trunk

-----[Subversion commit log]----------------------------------------------------
bug 1328: backport the pwg_token on trunk

bug 1329: backport the check_input_parameter on trunk

feature 1026: add pwg_token feature for edit/delete comment. Heavy refactoring
on this feature to make the code simpler and easier to maintain (I hope).

- Issue History
Date Modified Username Field Change
2009.06.10 17:54 rub New Issue
2009.06.10 17:54 rub browser => any
2009.06.10 17:54 rub Web server => Apache 1.3.x
2009.06.10 20:59 nikrou Status new => assigned
2009.06.10 20:59 nikrou Assigned To => nikrou
2009.06.23 15:49 nikrou Note Added: 0002639
2009.06.23 17:34 Pat Note Added: 0002640
2009.06.23 23:18 nikrou Note Added: 0002641
2009.06.24 21:03 nikrou Note Added: 0002645
2009.06.24 21:03 nikrou Status assigned => resolved
2009.06.24 21:03 nikrou Resolution open => fixed
2009.06.25 00:53 svn Checkin
2009.06.25 00:53 svn Note Added: 0002646
2009.06.25 18:15 svn Checkin
2009.06.25 18:15 svn Note Added: 0002656
2009.06.26 11:57 svn Checkin
2009.06.26 11:57 svn Note Added: 0002658
2009.07.05 12:22 plg Status resolved => closed
2009.08.09 20:04 rub Note Added: 0002810
2009.08.09 20:04 rub Status closed => feedback
2009.08.09 20:04 rub Resolution fixed => reopened
2009.08.19 10:07 nikrou Note Added: 0002842
2009.08.20 09:34 rub Note Added: 0002844
2009.10.06 09:30 rvelices Note Added: 0002935
2009.10.06 10:42 svn Checkin
2009.10.06 10:42 svn Note Added: 0002936
2009.10.06 10:43 nikrou Note Added: 0002937
2009.10.06 10:43 nikrou Status feedback => resolved
2009.10.06 10:43 nikrou Resolution reopened => fixed
2010.03.19 23:25 svn Checkin
2010.03.19 23:25 svn Note Added: 0003565
2010.04.14 17:09 plg Status resolved => closed
2010.04.14 17:09 plg Fixed in Version => 2.1.0RC1
2010.04.14 17:09 plg Target Version => 2.1.0RC1


Mantis 1.1.6[^]
Copyright © 2000 - 2008 Mantis Group
Contact
Powered by Mantis Bugtracker